module Panda.Config.Global where

import Data.Maybe
import Text.Pandoc.UTF8
import Panda.Helper.Helper
import Prelude hiding ((.), (/), id)
import MPS

db_id        = "db"
flat_id      = "."
blog_id      = "blog"
config_id     = "config"

db_uri       = db_id
flat_uri     = db_uri / flat_id

config_uri   = flat_uri / config_id / "site.txt"
blog_uri     = flat_uri / blog_id

markup       = markdown


-- unsafe, might need to restart server after changing app/config file

user_config = readFile config_uri .purify .split' .map (split "\\s*=\\s*") .map tuple2
config_for s = user_config.lookup s.fromJust .fromUTF8

blog_title   = config_for "blog_title"
host_name    = config_for "host_name"
author_email = config_for "author_email"


